package com.zcloud.fire.check.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.fire.check.dto.FireCheckStandardAddCmd;
import com.zcloud.fire.check.dto.FireCheckStandardImportCmd;
import com.zcloud.fire.check.dto.FireCheckStandardPageQry;
import com.zcloud.fire.check.dto.FireCheckStandardUpdateCmd;
import com.zcloud.fire.check.dto.clientobject.FireCheckStandardCO;
import org.springframework.web.multipart.MultipartFile;

import java.util.Collection;

/**
 * web-client
 *
 * @Author zhaokai
 * @Date 2025-11-26 10:12:15
 */
public interface FireCheckStandardServiceI {
    PageResponse<FireCheckStandardCO> listPage(FireCheckStandardPageQry qry);

    SingleResponse<FireCheckStandardCO> add(FireCheckStandardAddCmd cmd);

    void edit(FireCheckStandardUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);

    FireCheckStandardCO getInfoById(Long id);

    Collection<FireCheckStandardCO> listAll(FireCheckStandardPageQry qry);


    void importFireCheckStandardList( FireCheckStandardImportCmd fireCheckStandardImportCmd);
}

